Bug 48897 - configuration file parse error on comments
Summary: configuration file parse error on comments
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-12 13:27 UTC by Roel van Meer
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-11 23:20:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roel van Meer 2001-07-12 13:27:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.18 i686)

Description of problem:
If any comments are included in the configuration file (starting with a
hash(#)), pump exits with error code 1 and the following message:

error parsing config file at line 1: unrecognized directive #

How reproducible:
Always

Steps to Reproduce:
1. edit /etc/pump.conf, put in a line starting with a hash (#)
2. execute: pump -i eth0
	

Actual Results:  pump exits with error code 1 and the following message:

error parsing config file at line 1: unrecognized directive #

Expected Results:  No output, interface should have got an ip address from
dhcp server.

Additional info:

Comment 1 Eido Inoue 2001-10-29 16:20:33 UTC
That sucks indeed. Pump's config parser should at least be able to grok
comments. Accepting.

Comment 2 Eido Inoue 2003-03-11 23:20:17 UTC
feature added in cvs


Note You need to log in before you can comment on or make changes to this bug.